<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div
  [formGroup]="rangeformGroup"
  class="form-control entry-input datepicker-field-wrapper"
>
  <mat-date-range-input [rangePicker]="picker">
    <input
      matStartDate
      type="datetime"
      placeholder="Von"
      formControlName="start"
      (dateChange)="validateInput($event)"
    />
    <input
      matEndDate
      type="datetime"
      placeholder="Bis"
      formControlName="end"
      (dateChange)="validateInput($event)"
    />
  </mat-date-range-input>
  <mat-datepicker-toggle matIconSuffix [for]="picker"> </mat-datepicker-toggle>
  <mat-date-range-picker #picker>
    <mat-datepicker-actions>
      <div
        style="
          display: grid;
          grid-template-columns: auto auto auto;
          align-items: center;
        "
      >
        <mat-label>Von</mat-label>
        <mat-form-field style="width: 115px">
          <mat-label>Stunden</mat-label>
          <input
            formControlName="startHours"
            matInput
            type="number"
            [min]="minHours"
            [max]="maxHours"
          />
          <mat-error *ngIf="rangeformGroup.controls.startHours.invalid">
            {{ minHours }} bis {{ maxHours }}
          </mat-error>
          <!-- <mat-select formControlName="startHours">
            @for (hour of getDayHoursInArray(); track hour) {
            <mat-option [value]="hour">{{ hour }}</mat-option>
            }
          </mat-select> -->
        </mat-form-field>
        <mat-form-field style="width: 115px">
          <mat-label>Minuten</mat-label>
          <!-- <mat-select formControlName="startMinutes">
            @for (minute of getHourMinutesInArray(); track minute) {
            <mat-option [value]="minute">{{ minute }}</mat-option>
            }
          </mat-select> -->
          <input
            formControlName="startMinutes"
            matInput
            type="number"
            [min]="minMinutes"
            [max]="maxMinutes"
          />
          <mat-error *ngIf="rangeformGroup.controls.startMinutes.invalid">
            {{ minMinutes }} bis {{ maxMinutes }}
          </mat-error>
        </mat-form-field>

        <mat-label>Bis</mat-label>

        <mat-form-field style="width: 115px">
          <mat-label>Stunden</mat-label>
          <input
            formControlName="endHours"
            matInput
            type="number"
            [min]="minHours"
            [max]="maxHours"
          />
          <mat-error *ngIf="rangeformGroup.controls.endHours.invalid">
            {{ minHours }} bis {{ maxHours }}
          </mat-error>
          <!-- <mat-select formControlName="endHours">
            @for (hour of getDayHoursInArray(); track hour) {
            <mat-option [value]="hour">{{ hour }}</mat-option>
            }
          </mat-select> -->
        </mat-form-field>
        <mat-form-field style="width: 115px">
          <mat-label>Minuten</mat-label>
          <input
            formControlName="endMinutes"
            matInput
            type="number"
            [min]="minMinutes"
            [max]="maxMinutes"
          />
          <mat-error *ngIf="rangeformGroup.controls.endMinutes.invalid">
            {{ minMinutes }} bis {{ maxMinutes }}
          </mat-error>
          <!-- <mat-select formControlName="endMinutes">
            @for (minute of getHourMinutesInArray(); track minute) {
            <mat-option [value]="minute">{{ minute }}</mat-option>
            }
          </mat-select> -->
        </mat-form-field>
        <button
          mat-raised-button
          color="primary"
          [disabled]="rangeformGroup.invalid"
          matDatepickerApply
          (click)="emitDateRange()"
        >
          Übernehmen
        </button>
        <button mat-button color="basic" matDatepickerCancel>Abbrechen</button>
      </div>
    </mat-datepicker-actions>
  </mat-date-range-picker>
</div>
